# Update VMware Gateway Credentials

If you specified incorrect credentials to your Platform9 VMware vSphere Gateway Appliance, and need to fix them, following tutorial describes how to do that.

### Step 1 - Log into Platform9 VMware vSphere Gateway Appliance

**Username:** root **Password:**`<contact PF9 support for default password>`

{% hint style="info" %}
**IMPORTANT**

Platform9 strongly recommends that you change the default password.
{% endhint %}

### Step 2 - Run the Platform9 update\_credentials CLI Utility

The Platform9 gateway virtual appliance ships with a CLI utility update\_credentials which allows you to re-authenticate your gateway appliance with vCenter.

{% hint style="info" %}
**IMPORTANT**

If the username or password contains special characters, please enclose the text in single quotes (‘passw@$rd’), so that the values are interpreted correctly. Currently single-quotes (‘) and double-qoutes (") cannot be handled in the password, please change the password in such cases.
{% endhint %}

{% tabs %}
{% tab title="Bash" %}

```bash
update_credentials -i <vcenter ip address or hostname> -u <vcenter username> [-p <vcenter password>]
# If password option is not specified while invoking the command
# you will be prompted to provide it later as password protected field
```

{% endtab %}
{% endtabs %}

Once the authentication succeeds, you should see the gateway appliance appear in the Platform9 user interface as awaiting authorization.

### Validate Credentials Only

In case you only want to test a particular set of credentials for permissions validity, before using them, you can use the ValidateOnly option:

{% tabs %}
{% tab title="Bash" %}

```bash
update_credentials -i <vcenter ip address or hostname> -u <vcenter username> [-p <vcenter password>] -V
# If password option is not specified while invoking the command
# you will be prompted to provide it later as password protected field
```

{% endtab %}
{% endtabs %}

In this case, the configuration files are not updated, but a brief report of the credentials permissions report is displayed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/managed-openstack/5.8/getting-started/vmware-setup/preparing-vmware-update-vmware-creds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
